<template>
  <div class="home">
    <AdvertisementBar v-show="false"/>

    <!--    内容体-->
    <HomeConnect/>
    <GiftPackDiscounts/>
    <template v-for="item in goodsListArray">
      <GoodsTypeComponent :goods-type="item"/>
    </template>
    <router-view />
  </div>
</template>
<script setup lang="ts">
import HomeConnect from "./HomeAdvertisement.vue";
import GoodsTypeComponent from "../components/GoodsTypeComponent.vue";
import {GoodsInfo, GoodsType} from "../entity/Entity.ts";
import {ref} from 'vue'
import GiftPackDiscounts from "./GiftPackDiscounts.vue";

import AdvertisementBar from "../components/AdvertisingLeft.vue";


let goodsListArray = ref([
      new GoodsType(0, "标题内容", "/router", "买了吃亏，买了上当", [
        new GoodsInfo(0, "../assets/goodsInfo.jpg", "商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品商品0", 3.14, 98.0),
        new GoodsInfo(1, "../assets/goodsInfo.jpg", "商品1", 98, 98.0),
        new GoodsInfo(2, "../assets/goodsInfo.jpg", "商品2", 98, 98.0),
        new GoodsInfo(3, "../assets/goodsInfo.jpg", "商品3", 98, 98.0),
        new GoodsInfo(4, "../assets/goodsInfo.jpg", "商品4", 98, 98.0),
        new GoodsInfo(5, "../assets/goodsInfo.jpg", "商品5", 98, 98.0),
        new GoodsInfo(6, "../assets/goodsInfo.jpg", "商品6", 3.14, 98.0),
        new GoodsInfo(7, "../assets/goodsInfo.jpg", "商品7", 3.14, 98.0),
        new GoodsInfo(8, "../assets/goodsInfo.jpg", "商品8", 3.14, 98.0),
        new GoodsInfo(9, "../assets/goodsInfo.jpg", "商品9", 3.14, 98.0),
        new GoodsInfo(10, "../assets/goodsInfo.jpg", "商品10", 3.14, 98.0),
        new GoodsInfo(11, "../assets/goodsInfo.jpg", "商品11", 3.14, 98.0),
        new GoodsInfo(12, "../assets/goodsInfo.jpg", "商品12", 3.14, 98.0),
        // new GoodsInfo(13, "../assets/goodsInfo.jpg", "商品13", 3.14, 98.0),
      ])
    ]
)

// login-form-select
</script>

<style scoped lang="scss">

</style>